Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api
Interface EndpointAnnotationParser

All Known Implementing Classes:
  AbstractEndpointAnnotationParser, CallAnnotationParser, ScheduleAnnotationParser

    public interface EndpointAnnotationParser

An SPI interface that will process an Endpoint annotation. Note that the Annotation must be annotated with the `@Endpoint` annotation.

Method Summary
`InboundEndpoint` | `parseInboundEndpoint(Annotation annotation, Map metaInfo)` Creates an inbound endpoint from the annotation.
`OutboundEndpoint` | `parseOutboundEndpoint(Annotation annotation, Map metaInfo)` Creates an outbound endpoint from the annotation.
`boolean` | `supports(Annotation annotation, Class clazz, Member member)` Determines whether this parser can process the current annotation.

Method Detail

### parseOutboundEndpoint

    OutboundEndpoint parseOutboundEndpoint(Annotation annotation,
                                           Map metaInfo)
                                           throws MuleException

  Creates an outbound endpoint from the annotation.

  Parameters:
    `annotation` - the annotation to process
    `metaInfo` - any additional info that can be used to construct the endpoint. Typically a connector name might be in this map so that all endpoints for the current object can share the same connector
  Returns:
    a new `OutboundEndpoint` object configured according to the annotation
  Throws:
    `MuleException` - if the outbound endpoint cannot be created. A Mule-specific error will be thrown.

### parseInboundEndpoint

    InboundEndpoint parseInboundEndpoint(Annotation annotation,
                                         Map metaInfo)
                                         throws MuleException

  Creates an inbound endpoint from the annotation.

  Parameters:
    `annotation` - the annotation to process
    `metaInfo` - any additional info that can be used to construct the endpoint. Typically a connector name might be in this map so that all endpoints for the current object can share the same connector
  Returns:
    a new `InboundEndpoint` object configured according to the annotation
  Throws:
    `MuleException` - if the inbound endpoint cannot be created. A Mule-specific error will be thrown.

### supports

    boolean supports(Annotation annotation,
                     Class clazz,
                     Member member)

  Determines whether this parser can process the current annotation. The clazz and member params are passed in so that further validation be done on the location, type or name of these elements.

  Parameters:
    `annotation` - the annotation being processed
    `clazz` - the class on which the annotation was found
    `member` - the member on which the annotation was found inside the class. This is only set when the annotation was either set on a `Method`, `Field` or `Constructor` class member, otherwise this value is null.
  Returns:
    true if this parser supports the current annotation, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.